## autoconf2.67 2.67-2ubuntu1maemo1

=== debian/changelog ===
autoconf2.67 (2.67-2ubuntu1maemo1) fremantle; urgency=low
  * Fixed bugs connected with package name change
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Thu, 16 Aug 2012 12:02:50 +0200

autoconf2.67 (2.67-2ubuntu1maemo0) fremantle; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Wed, 08 Aug 2012 13:43:58 +0200

autoconf (2.67-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #613735), remaining changes:
    - bin/autoreconf.in: Check whether libtoolize supports --install, if it
      does, libtoolize is safe to run at all times since it will not install
      new files unless --install is passed to it as well.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 05 Aug 2010 12:01:58 +0530

autoconf (2.67-2) unstable; urgency=low

  * lib/m4sugar/m4sh.m4: Add a trailing space to the definition of
    AS_ERROR, following AS_MESSAGE_LOG_FD, to work around Bug #591547 in
    pkg-config that breaks PKG_CHECK_MODULES.
    
    This is presumably temporary, until a fixed pkg-config can be
    released, at which time this workaround can be reverted and a conflict
    added against unfixed pkg-config versions.
  
    Closes: #591548.

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 03 Aug 2010 21:04:02 -0700

autoconf (2.67-1) unstable; urgency=low

  * New upstream release.  Closes: #589958.
    
 -- Ben Pfaff <pfaffben@debian.org>  Mon, 02 Aug 2010 13:04:28 -0700

autoconf (2.65-4) unstable; urgency=low

  * debian/copyright: Fix copyright notice, which should have been updated
    to GPLv3 when Autoconf's copyright changed, but I forgot.  Thanks to
    Kalle Olavi Niemitalo <kon@iki.fi> for reporting the problem.  Closes:
    #571729.
  
  * debian/copyright: Update list of Autoconf authors.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 27 Feb 2010 10:18:53 -0800

autoconf (2.65-3ubuntu1) lucid; urgency=low
 
  * Merge with Debian; remaining changes:
 
 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Dec 2009 07:46:47 +0100

autoconf (2.65-3) unstable; urgency=low

  * Apply upstream commit 83ee5bc4 "Fix 2.64 AC_TYPE_INT*_T macro body
    text regression" by Ralf Wildenhues to fix bug reported by Pierre
    Ynard <linkfanel@yahoo.fr>.  Closes: #560105.

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 09 Dec 2009 19:56:06 -0800

autoconf (2.65-2) unstable; urgency=low
  
  * Apply patch by Yavor Doganov <yavor@gnu.org> to fix AC_FUNC_MMAP with
    C++ compiler.  Thanks to Michal Čihař <nijel@debian.org> for reporting
    the bug and to Ralf Wildenhues and Eric Blake for reviewing it.
    Closes: #557632.

  * Really update policy version from 3.8.2 to 3.8.3 (no changes
    required).  This was changelogged for the previous version but I
    forgot to actually make the change.

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 24 Nov 2009 20:00:03 -0800

autoconf (2.65-1) unstable; urgency=low

  * New upstream release.

  * debian/watch: New file, to enable watching for new versions of
    Autoconf.

  * Updated policy version from 3.8.2 to 3.8.3 (no changes required).
  
  * debian/control: Remove "priority" and "section" fields from binary
    package that unnecessarily duplicated the values from the source
    package.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 21 Nov 2009 20:27:46 -0800

autoconf (2.64-6) unstable; urgency=low

  * debian/rules: Use dh_prep instead of "dh_clean -k", which is now
    deprecated (suggested by lintian.

  * debian/control: Require debhelper 7 or later, now that we use
    compatibility level 7.  Thanks to Jan Hauke Rahm <jhr@debian.org> for
    reporting the problem.  Closes: #555885.

 -- Ben Pfaff <pfaffben@debian.org>  Thu, 12 Nov 2009 09:10:44 -0800

autoconf (2.64-5) unstable; urgency=low

  * Remove spurious file from Debian diff.  Thanks to Christian Egli
    <christian.egli@sbszh.ch> for reporting the problem.  Closes: #555706.
  
  * Update debhelper compatibility level from 4 to 7 (suggested by
    lintian).  No other changes needed.
  
  * Updated policy version from 3.7.2 to 3.8.2:
    - Added Homepage to control file.
    - No other changes necessary.
  
  * Removed debian/autoconf.postinst.  Everything it did applied only to
    pre-etch versions of autoconf, so we can be confident that no one is
    upgrading from a system that needs any of this.  (This was prompted by
    a spurious lintian complaint about install-info.)

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 11 Nov 2009 16:29:29 -0800

autoconf (2.64-4ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes: LP: #478334
    - bin/autoreconf.in: Check whether libtoolize supports --install, if it
      does, libtoolize is safe to run at all times since it will not install
      new files unless --install is passed to it as well.
  * Fixes autoconf requires m4 LP: #459422
  * Fixes autoconf suggests installing autobook LP: #372701

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 08 Nov 2009 18:57:54 +0530

autoconf (2.64-4) unstable; urgency=low

  * Add back Suggests: autoconf-archive removed in 2.64-3.  I did check
    whether that package still existed, but somehow I got it
    wrong--perhaps a typo.  Thanks to Guillem Jover <guillem@debian.org>
    for pointing out my mistake.

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 27 Sep 2009 13:31:40 -0700

autoconf (2.64-3) unstable; urgency=low

  * Remove Suggests: autobook, autoconf-archive, because these packages
    are no longer in Debian.  Thanks to Vincent Bernat <bernat@debian.org>
    for pointing this out.  Closes: #548025.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 26 Sep 2009 19:57:58 -0700

autoconf (2.64-2) unstable; urgency=low

  * Require m4 version 1.4.13 or later for both build and installation.
    GNU m4 1.4.13 adds a "--gnu" option that Autom4te uses at runtime if
    it was found to work at build time, so these dependencies ensure
    consistency.  Thanks to Martin Casado <casado@nicira.com> for
    reporting the problem.


