=== debian/control ===
Source: autoconf2.67
Section: devel
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.8.3
Build-Depends-Indep: texinfo (>= 4.6), m4 (>= 1.4.8), help2man
Build-Depends: debhelper7 (>= 7), maemo-optify
Homepage: http://www.gnu.org/software/autoconf

Package: autoconf2.67
Architecture: all
Depends: perl (>> 5.005), m4 (>= 1.4.8), debianutils (>= 1.8), ${misc:Depends}
Recommends: automake1.11 | automake | automaken
Conflicts: autoconf2.13 (<< 2.13-47), gettext (<< 0.10.39), autoconf
Replaces: autoconf
Provides: autoconf
Suggests: autoconf2.13, autoconf-archive, gnu-standards, autoconf-doc, libtool, gettext
Description: automatic configure script builder.
 The standard for FSF source packages.  This is only useful if you
 write your own programs or if you extensively modify other people's 
 programs.
 .
 For an extensive library of additional Autoconf macros, install the
 `autoconf-archive' package.
 .
 The Debian project regards the full documentation for autoconf to be
 non-free, so it is not included in Debian.  Nevertheless, the
 non-free distribution that accompanies Debian includes the manual in
 its `autoconf-doc' package.
 .
 This version of autoconf is not compatible with scripts meant for
 Autoconf 2.13 or earlier.  If you need support for such scripts,
 you must also install the autoconf2.13 package.
